#!/bin/sh

# This external fact will set something like this:
# puppet_swift_vdb=UUID=74539008-3316-469a-b75e-0419faedd50f
# puppet_swift_vdc=UUID=dde3842b-cdb9-417a-a711-6f8dc4ec362e

set -e

for i in $(blkid -o device) ; do
	BLKID=$(blkid ${i})
	DEVNAME=$(basename ${i})
	TYPE=$(echo ${BLKID} | cut -d" " -f3 | sed s/\"//g)
	if [ "${TYPE}" = "TYPE=xfs" ] ; then
		UUIDFLD=$(echo ${BLKID} | cut -d" " -f2 | sed -e s/\"//g -e s/UUID=//)
		echo puppet_swift_${DEVNAME}=UUID=$UUIDFLD
	fi
done
